## New features in Taskbar 6.0

### Android 10 Desktop Mode support

###### _XDA-Developers article: [Taskbar 6.0 enables a Samsung DeX-like desktop mode experience on some Android 10+ devices](https://www.xda-developers.com/taskbar-samsung-dex-desktop-mode-android-10/)_

Taskbar now has support for Android 10's built-in desktop mode functionality.  You can connect your compatible Android 10+ device to an external display and run apps in resizable windows, with Taskbar's interface running on your external display and your existing launcher still running on your phone.

Desktop mode requires a USB-to-HDMI adapter (or a lapdock), and a compatible device that supports video output.  Additionally, certain settings require granting a special permission via adb.

To get started, open up the Taskbar app and click "Desktop mode".  Then, just tick the checkbox and the app will guide you through the setup process.  For more information, click the (?) icon in the upper-right hand corner of the screen.

### Favorite app shortcuts

You can now launch your favorite apps in a floating window directly from your quick settings drawer (or a home screen shortcut), without needing to keep Taskbar running in the background.  This feature is available on Android 9+ devices.  To get started, simply add one of the new "Launch app" tiles to your quick settings drawer.

The first time you tap the "Launch app" tile, you'll be asked to select an app, choose if you want to launch the app in freeform window mode, and fine-tune the generated icon.  You'll then have a tile in your quick settings drawer with the app's icon and name, ready for you to launch at any time.

You can also choose to put these shortcuts directly on your home screen via the "Launch app" item under Taskbar in your launcher's widgets drawer.

### Backup and restore

Taskbar now allows you to backup and restore your app settings, allowing you to transfer settings more easily between devices, or to keep a copy of your Taskbar settings for archival purposes.  Look for the new "Manage app data" section under "Advanced features" to use the backup and restore functionality.

### System theme support

On Android 9+ devices, Taskbar now respects the system theme setting, automatically switching between light and dark mode along with the rest of the system.  For Android 10 and higher, the "Dark theme" system setting is followed; on Android 9, the "Night mode" developer option is used instead.

### Improved support for Android 11, Android TV, and Chrome OS

Taskbar is now able to launch apps in freeform mode on the Android 11 Developer Preview.

On Android TV 9+ devices like the Nvidia Shield, Taskbar will now guide you to the Android TV settings app for enabling crucial settings like displaying over other apps and usage access.  (Note that Taskbar still needs to be sideloaded on Android TV devices)

Certain app settings that weren't supported on Android TV or Chrome OS were removed on those devices.  The "Replace home screen" feature has also been improved for Chrome OS (though it still can't actually replace your home screen on those devices)

### New and updated translations

A Polish translation has been added, along with updated Chinese and German translations.  Huge thanks to everyone that has contributed to translating the app!

### Miscellaneous features and improvements

A new setting has been added to display a notification count in the status icon area (system tray).  There is also a new option to hide app labels on the start menu and desktop.  Apps that launch in a phone-sized freeform window will now launch in landscape if requested by the app's manifest.

Finally, many bug fixes and under-the-hood improvements have been made, keeping Taskbar well maintained for the future!
